> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Update a group

PATCH https://api.getpostman.com/scim/v2/Groups/{groupId}
Content-Type: application/json

Updates a group's information. Using this endpoint you can:

- Update a group's name.
- Add or remove members from a Postman group.


Reference: https://learning.postman.com/api-docs/api-reference/scim/update-group

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /scim/v2/Groups/{groupId}:
    patch:
      operationId: updateGroup
      summary: Update a group
      description: |
        Updates a group's information. Using this endpoint you can:

        - Update a group's name.
        - Add or remove members from a Postman group.
      tags:
        - scim
      parameters:
        - name: groupId
          in: path
          description: The group's ID.
          required: true
          schema:
            $ref: '#/components/schemas/scimId'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimUpdateGroupResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimErrorScimType'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimError'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/scimUpdateGroup'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    scimId:
      type: string
      title: scimId
    ScimUpdateGroupOperationsItemsOp:
      type: string
      enum:
        - replace
        - remove
        - add
      description: The operation to perform.
      title: ScimUpdateGroupOperationsItemsOp
    ScimUpdateGroupOperationsItemsValue:
      type: object
      properties:
        id:
          type: string
          description: The group's ID.
        displayName:
          type: string
          description: The group's name.
      description: The performed operation's value.
      title: ScimUpdateGroupOperationsItemsValue
    ScimUpdateGroupOperationsItems:
      type: object
      properties:
        op:
          $ref: '#/components/schemas/ScimUpdateGroupOperationsItemsOp'
          description: The operation to perform.
        path:
          type: string
          description: >-
            The operation's path. Include this value when you update a group's
            members.
        value:
          $ref: '#/components/schemas/ScimUpdateGroupOperationsItemsValue'
          description: The performed operation's value.
      title: ScimUpdateGroupOperationsItems
    scimUpdateGroup:
      type: object
      properties:
        schemas:
          type: array
          items:
            type: string
          description: >-
            The [SCIM schema
            URI](https://www.iana.org/assignments/scim/scim.xhtml).
        Operations:
          type: array
          items:
            $ref: '#/components/schemas/ScimUpdateGroupOperationsItems'
          description: Information about the group update operation.
      title: scimUpdateGroup
    ScimUpdateGroupResponseMeta:
      type: object
      properties:
        resourceType:
          type: string
          description: The resource type.
        created:
          type: string
          format: date-time
          description: The date and time at which the group was created.
        lastModified:
          type: string
          format: date-time
          description: The date and time at which the group was last modified.
      description: The response's non-standard meta information.
      title: ScimUpdateGroupResponseMeta
    scimUpdateGroupResponse:
      type: object
      properties:
        schemas:
          type: array
          items:
            type: string
          description: >-
            The [SCIM schema
            URI](https://www.iana.org/assignments/scim/scim.xhtml).
        id:
          type: string
          description: The group's ID.
        displayName:
          type: string
          description: The group's name.
        externalId:
          type: string
          description: The group's external ID.
        meta:
          $ref: '#/components/schemas/ScimUpdateGroupResponseMeta'
          description: The response's non-standard meta information.
      title: scimUpdateGroupResponse
    scimErrorScimType:
      type: object
      properties:
        schemas:
          type: array
          items:
            type: string
          description: >-
            The [SCIM schema
            URI](https://www.iana.org/assignments/scim/scim.xhtml).
        scimType:
          type: string
          description: The SCIM error type.
        detail:
          type: string
          description: Information about the error.
        status:
          type: string
          format: http-status-code
          description: The HTTP status code.
      title: scimErrorScimType
    scimError:
      type: object
      properties:
        schemas:
          type: array
          items:
            type: string
          description: >-
            The [SCIM schema
            URI](https://www.iana.org/assignments/scim/scim.xhtml).
        detail:
          type: string
          description: Information about the error.
        status:
          type: string
          format: http-status-code
          description: The HTTP status code.
      title: scimError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples

### SCIM Group Updated



**Request**

```json
undefined
```

**Response**

```json
{
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:Group"
  ],
  "id": "405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99",
  "displayName": "TestAPI",
  "externalId": "1234",
  "meta": {
    "resourceType": "Group",
    "created": "2022-02-22T04:24:13.000Z",
    "lastModified": "2022-02-22T04:24:13.000Z"
  },
  "members": [
    {
      "display": "Taylor Lee",
      "value": "23a35c2723d34c03b4c56443c09e7173"
    }
  ]
}
```

**SDK Code**

```python SCIM Group Updated
import requests

url = "https://api.getpostman.com/scim/v2/Groups/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99"

headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, headers=headers)

print(response.json())
```

```javascript SCIM Group Updated
const url = 'https://api.getpostman.com/scim/v2/Groups/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99';
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: undefined
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go SCIM Group Updated
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/scim/v2/Groups/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99"

	req, _ := http.NewRequest("PATCH", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby SCIM Group Updated
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/scim/v2/Groups/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'

response = http.request(request)
puts response.read_body
```

```java SCIM Group Updated
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.getpostman.com/scim/v2/Groups/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .asString();
```

```php SCIM Group Updated
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.getpostman.com/scim/v2/Groups/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99', [
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp SCIM Group Updated
using RestSharp;

var client = new RestClient("https://api.getpostman.com/scim/v2/Groups/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
IRestResponse response = client.Execute(request);
```

```swift SCIM Group Updated
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/scim/v2/Groups/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Update SCIM Group



**Request**

```json
{
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:PatchOp"
  ],
  "Operations": [
    {
      "op": "replace",
      "value": {
        "id": "561631fq14ed41872a8eea4c8aa2b38cda9749812cc55c00",
        "displayName": "TestAPI"
      }
    }
  ]
}
```

**Response**

```json
{
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:Group"
  ],
  "id": "405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99",
  "displayName": "TestAPI",
  "externalId": "1234",
  "meta": {
    "resourceType": "Group",
    "created": "2022-02-22T04:24:13.000Z",
    "lastModified": "2022-02-22T04:24:13.000Z"
  },
  "members": [
    {
      "display": "Taylor Lee",
      "value": "23a35c2723d34c03b4c56443c09e7173"
    }
  ]
}
```

**SDK Code**

```python Update SCIM Group
import requests

url = "https://api.getpostman.com/scim/v2/Groups/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99"

payload = {
    "schemas": ["urn:ietf:params:scim:api:messages:2.0:PatchOp"],
    "Operations": [
        {
            "op": "replace",
            "value": {
                "id": "561631fq14ed41872a8eea4c8aa2b38cda9749812cc55c00",
                "displayName": "TestAPI"
            }
        }
    ]
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Update SCIM Group
const url = 'https://api.getpostman.com/scim/v2/Groups/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99';
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"replace","value":{"id":"561631fq14ed41872a8eea4c8aa2b38cda9749812cc55c00","displayName":"TestAPI"}}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Update SCIM Group
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/scim/v2/Groups/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99"

	payload := strings.NewReader("{\n  \"schemas\": [\n    \"urn:ietf:params:scim:api:messages:2.0:PatchOp\"\n  ],\n  \"Operations\": [\n    {\n      \"op\": \"replace\",\n      \"value\": {\n        \"id\": \"561631fq14ed41872a8eea4c8aa2b38cda9749812cc55c00\",\n        \"displayName\": \"TestAPI\"\n      }\n    }\n  ]\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Update SCIM Group
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/scim/v2/Groups/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"schemas\": [\n    \"urn:ietf:params:scim:api:messages:2.0:PatchOp\"\n  ],\n  \"Operations\": [\n    {\n      \"op\": \"replace\",\n      \"value\": {\n        \"id\": \"561631fq14ed41872a8eea4c8aa2b38cda9749812cc55c00\",\n        \"displayName\": \"TestAPI\"\n      }\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Update SCIM Group
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.getpostman.com/scim/v2/Groups/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"schemas\": [\n    \"urn:ietf:params:scim:api:messages:2.0:PatchOp\"\n  ],\n  \"Operations\": [\n    {\n      \"op\": \"replace\",\n      \"value\": {\n        \"id\": \"561631fq14ed41872a8eea4c8aa2b38cda9749812cc55c00\",\n        \"displayName\": \"TestAPI\"\n      }\n    }\n  ]\n}")
  .asString();
```

```php Update SCIM Group
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.getpostman.com/scim/v2/Groups/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99', [
  'body' => '{
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:PatchOp"
  ],
  "Operations": [
    {
      "op": "replace",
      "value": {
        "id": "561631fq14ed41872a8eea4c8aa2b38cda9749812cc55c00",
        "displayName": "TestAPI"
      }
    }
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Update SCIM Group
using RestSharp;

var client = new RestClient("https://api.getpostman.com/scim/v2/Groups/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"schemas\": [\n    \"urn:ietf:params:scim:api:messages:2.0:PatchOp\"\n  ],\n  \"Operations\": [\n    {\n      \"op\": \"replace\",\n      \"value\": {\n        \"id\": \"561631fq14ed41872a8eea4c8aa2b38cda9749812cc55c00\",\n        \"displayName\": \"TestAPI\"\n      }\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Update SCIM Group
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "schemas": ["urn:ietf:params:scim:api:messages:2.0:PatchOp"],
  "Operations": [
    [
      "op": "replace",
      "value": [
        "id": "561631fq14ed41872a8eea4c8aa2b38cda9749812cc55c00",
        "displayName": "TestAPI"
      ]
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/scim/v2/Groups/405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```